<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Admin extends Model
{
    use HasFactory;

    protected $guarded = ['id'];
    protected $table = 'admin';

    public function user()
    {
        return $this->belongsTo(User::class, 'users_id', 'id');
    }

    public function brand()
    {

        return $this->belongsTo(Brand::class, 'brand_id', 'id');
    }
}
